Package org.opensaml.xacml.profile.saml.impl

# Class XACMLAuthzDecisionStatementTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.profile.saml.impl.XACMLAuthzDecisionStatementTypeImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `Statement`, `XACMLAuthzDecisionStatementType`, `XACMLObject`

public class XACMLAuthzDecisionStatementTypeImpl extends AbstractXMLObject implements XACMLAuthzDecisionStatementType
A concrete implementation of `XACMLAuthzDecisionStatementType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private RequestType`
`request`
The request of the authorization request.
`private ResponseType`
`response`
The response of the authorization request.

### Fields inherited from interface org.opensaml.saml.saml2.core.Statement

`DEFAULT_ELEMENT_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.xacml.profile.saml.XACMLAuthzDecisionStatementType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME_XACML10, DEFAULT_ELEMENT_NAME_XACML11, DEFAULT_ELEMENT_NAME_XACML20, DEFAULT_ELEMENT_NAME_XACML30, TYPE_LOCAL_NAME, TYPE_NAME_XACML10, TYPE_NAME_XACML11, TYPE_NAME_XACML20, TYPE_NAME_XACML30`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`XACMLAuthzDecisionStatementTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`RequestType`
`getRequest()`
Get's the `RequestType` from the `XACMLAuthzDecisionStatement`.
`ResponseType`
`getResponse()`
Get's the `ResponseType` from the `XACMLAuthzDecisionStatement`.
`void`
`setRequest(RequestType req)`
Sets a `ResponseType` to the `XACMLAuthzDecisionStatement`.
`void`
`setResponse(ResponseType resp)`
Sets a `ResponseType` to the `XACMLAuthzDecisionStatement`.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### request

private RequestType request
The request of the authorization request.

### response

private ResponseType response
The response of the authorization request.

## Constructor Details

### XACMLAuthzDecisionStatementTypeImpl

protected XACMLAuthzDecisionStatementTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getRequest

public RequestType getRequest()
Get's the `RequestType` from the `XACMLAuthzDecisionStatement`.

Specified by:
  `getRequest` in interface `XACMLAuthzDecisionStatementType`
Returns:
  the `RequestType` inside the `XACMLAuthzDecisionStatement`

### getResponse

public ResponseType getResponse()
Get's the `ResponseType` from the `XACMLAuthzDecisionStatement`.

Specified by:
  `getResponse` in interface `XACMLAuthzDecisionStatementType`
Returns:
  the `ResponseType` inside the `XACMLAuthzDecisionStatement`

### setRequest

public void setRequest(RequestType req)
Sets a `ResponseType` to the `XACMLAuthzDecisionStatement`.

Specified by:
  `setRequest` in interface `XACMLAuthzDecisionStatementType`
Parameters:
  `req` - `RequestType`

### setResponse

public void setResponse(ResponseType resp)
Sets a `ResponseType` to the `XACMLAuthzDecisionStatement`.

Specified by:
  `setResponse` in interface `XACMLAuthzDecisionStatementType`
Parameters:
  `resp` - `ResponseType`

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements